| Home | Libraries | People | FAQ | More

## Function template any_of

boost::algorithm::any_of

## Synopsis

    // In header: <boost/algorithm/cxx11/any_of.hpp>

    template<typename Range, typename Predicate>
      bool any_of(const Range & r, Predicate p);

## Description

| Note
returns false on an empty range

Parameters:

`p` | A predicate for testing the elements of the range
`r` | The input range

Returns: | true if any elements in the range satisfy the predicate 'p'